#ifndef SYSTEMMONITOR_H_
#define SYSTEMMONITOR_H_
#include "../jackal/xmlrpc.h"

class SystemMonitor : public jackal::xmlrpc::RequestHandler
{
public:
	SystemMonitor();
	virtual ~SystemMonitor();

	jackal::xmlrpc::float_type getLoadAverage(); 
	jackal::xmlrpc::string_type getHostname(); 
	jackal::xmlrpc::int_type getProccessCount();
	
	JACKAL_BEGIN_MAPPING
		JACKAL_MAP0("getHostname", getHostname);
		JACKAL_MAP0("getLoadAverage", getLoadAverage);
		JACKAL_MAP0("getProccessCount", getProccessCount);
		JACKAL_MAP_PARENT(jackal::xmlrpc::RequestHandler);
	JACKAL_END_MAPPING
};

#endif /*SYSTEMMONITOR_H_*/
