/**************************************************************************
*   Copyright (C) 2004 by Vukasin Toroman                                 *
*   vukasin@toroman.org                                                   *
**************************************************************************/
/************************************************************************** 
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/


#include "../socket/socket.h"
#include "../socket/inet.h"
#include "../rfc2822/message_rfc2822.h"
#include "../swool/streambuf_bio.h"
#include "../swool/ssl_filter.h"

#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>

using namespace wool;
using namespace std;
void __throw_timeout(int s) {
}



		
int main (int argc, char ** argv) {
  wool::socket client(wool::inet::inet_stream);
  inet::address addr;
  
  addr.set_ip("65.118.228.2");
  addr.set_port(6000);

  std::cout << "ip : " << (std::string)addr.get_ip() << std::endl;
  std::cout << "port : " << addr.get_port() << std::endl;
  client.set_timeout(5);
  client.connect(addr);
  std::cout << "connected" << std::endl; 
  wool::iostream<wool::socket> stream(client);
  stream << "GET / HTTP/1.0\r\n"
         << "\r\n";
  std::cout << stream.rdbuf() << std::flush;
 return 0;
};
