/**************************************************************************
*   Copyright (C) 2004 by Vukasin Toroman                                 *
*   vukasin@toroman.org                                                   *
**************************************************************************/
/************************************************************************** 
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include <test/test_swool.h>
#include <socket/socket.h>
//#include <socket/network.h>
#include <rfc2822/message_rfc2822.h>
#include <swool/streambuf_bio.h>
#include <swool/ssl_filter.h>

#include <boost/thread.hpp>

#define VALUE_TO_STRING(a, b) { std::ostringstream  __some_undefined__name; __some_undefined__name << b; a.assign(__some_undefined__name.str()); }
#define STREAM_TO_STRING(a, b) { std::ostringstream  __some_undefined__name; __some_undefined__name << b.rdbuf(); a.assign(__some_undefined__name.str()); }

//#include "swool/base64.h"

namespace wool
{
namespace test
{

void run_echo_server () {
}

void test_swool::testBase64 () {
/*
	std::string text = "Man is distinguished, not only by his reason, but by this singular passion from other animals, which is a lust of the mind, that by a perseverance of delight in the continued and indefatigable generation of knowledge, exceeds the short vehemence of any carnal pleasure.";
	
	std::string encoded_text = "TWFuIGlzIGRpc3Rpbmd1aXNoZWQsIG5vdCBvbmx5IGJ5IGhpcyByZWFzb24sIGJ1dCBieSB0aGlz\r\n\
IHNpbmd1bGFyIHBhc3Npb24gZnJvbSBvdGhlciBhbmltYWxzLCB3aGljaCBpcyBhIGx1c3Qgb2Yg\r\n\
dGhlIG1pbmQsIHRoYXQgYnkgYSBwZXJzZXZlcmFuY2Ugb2YgZGVsaWdodCBpbiB0aGUgY29udGlu\r\n\
dWVkIGFuZCBpbmRlZmF0aWdhYmxlIGdlbmVyYXRpb24gb2Yga25vd2xlZGdlLCBleGNlZWRzIHRo\r\n\
ZSBzaG9ydCB2ZWhlbWVuY2Ugb2YgYW55IGNhcm5hbCBwbGVhc3VyZS4=";

	//std::ostream_iterator<char> os_it(std::cout);
	std::string b64_text;
	std::string pl_text;
	std::insert_iterator<std::string> os_it1(b64_text, b64_text.end());
	std::insert_iterator<std::string> os_it2(pl_text, pl_text.end());

	wool::encoder::base64< std::insert_iterator<std::string> > encoder(os_it1);
	wool::encoder::base64< std::insert_iterator<std::string> >::back_insert_iterator bi1(encoder);


	wool::decoder::base64< std::insert_iterator<std::string> > decoder(os_it2);
	wool::decoder::base64< std::insert_iterator<std::string> >::back_insert_iterator bi2(decoder);


	std::copy(text.begin(), text.end(), bi1);
	std::copy(encoded_text.begin(), encoded_text.end(), bi2);

	encoder.pad();

	WOOL_DEBUG(" - standard size: " << text.size() );
	WOOL_DEBUG(" - base64 size: " << b64_text.size() );
	WOOL_DEBUG(" - base64 text:   " <<std::endl<< "'" <<  b64_text << "'");
	WOOL_DEBUG(" - standard text: " <<std::endl<< "'" << pl_text  << "'");

	CPPUNIT_ASSERT(b64_text == encoded_text);

*/
}
};
};


