/**************************************************************************
*   Copyright (C) 2004 by Vukasin Toroman                                 *
*   vukasin@toroman.org                                                   *
**************************************************************************/
/************************************************************************** 
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include "base/debug.h"
#include "swool/bio.h"
#include "swool/streambuf_bio.h"
/*
namespace wool {
  namespace swool {
    BIO_METHOD streambuf_bio::s_streambuf_method = {
                                                      (21|0x0400|0x0100),
                                                      "streambuffer sink",
                                                      streambuf_bio::bwrite,
                                                      streambuf_bio::bread,
                                                      streambuf_bio::bputs,
                                                      streambuf_bio::bgets,
                                                      streambuf_bio::ctrl,
                                                      streambuf_bio::create,
                                                      streambuf_bio::destroy,
                                                      streambuf_bio::callback_ctrl
                                                   };

    bio::method streambuf_bio::s_streambuf( ) {
      return &s_streambuf_method;
    }

    streambuf_bio::streambuf_bio ( std::streambuf * sink ) :swool::bio (s_streambuf) {
      WOOL_DEBUG("set streambuf");
      set_streambuf(sink);
    };

    streambuf_bio::~streambuf_bio () {
      //set_streambuf(NULL);
    }

    std::streambuf * streambuf_bio::set_streambuf ( std::streambuf * sink ) {
      m_ssl_bio->ptr = sink;
      return sink;
    }

    int  streambuf_bio::bwrite(BIO * b, const char * buffer , int len ) {
      WOOL_DEBUG("bio write " << len << " bytes");
      std::streambuf * sink = (std::streambuf*)b->ptr;
      if(sink==0) {
        WOOL_DEBUG("bio write failed ... ");
        return -1;
      }
      int res = sink->sputn(buffer,len);
      WOOL_DEBUG("bio write result ... "<< res );
      if(res<1)
        return -1;
      return res;
    }

    int  streambuf_bio::bread(BIO * b, char * buffer , int len ) {
      WOOL_DEBUG("bio read");
      std::streambuf * sink = (std::streambuf*)b->ptr;
      if(sink==0)
        return -1;
      int res = sink->sgetn(buffer,len);
      if(res<1)
        return -1;
      return res;
    }

    int  streambuf_bio::bputs(BIO * b, const char * buffer) {
      WOOL_DEBUG("bio puts");
      std::streambuf * sink = (std::streambuf*)b->ptr;
      if(sink==0)
        return -1;
      return sink->sputn(buffer,::strlen(buffer));
    }

    int  streambuf_bio::bgets(BIO * b, char * buffer, int size) {
      WOOL_DEBUG("bio gets");
      std::streambuf * sink = (std::streambuf*)b->ptr;
      if(sink==0)
        return -1;
      int curr = 0;
      int chr;
      while( curr < size ) {
        chr = sink->sgetc();
        if(chr == std::ios::traits_type::eof())
          return curr;
        sink->snextc();
        *buffer = std::streambuf::traits_type::to_char_type(chr);
        buffer++;
        curr++;
      }
      return curr;
    }

    long streambuf_bio::ctrl(BIO *b, int cmd, long num, void *ptr) {
      std::streambuf * sink = (std::streambuf*)b->ptr;
      if(sink!=0)
        sink->pubsync();
      return (1);
    }

    long streambuf_bio::callback_ctrl(BIO *b, int cmd, bio_info_cb *fp) {
      return (1);
    }

    int  streambuf_bio::create(BIO * b) {
      WOOL_DEBUG("create new bio");
      b->init=1;
      b->ptr = NULL;
      b->flags = 0;
      return (1);
    }

    int  streambuf_bio::destroy(BIO * b) {
      if(b==NULL)
        return (0);
      WOOL_DEBUG("destroy a bio");
      b->ptr = NULL;
      return (1);
    }
  };
};
*/

