#include "SystemMonitor.h"

SystemMonitor::SystemMonitor()
{
}

SystemMonitor::~SystemMonitor()
{
}

jackal::xmlrpc::int_type SystemMonitor::getProccessCount() {
	std::ifstream lavg("/proc/loadavg");
	jackal::xmlrpc::int_type active_proc, total_proc;
	jackal::xmlrpc::float_type avg1, avg2, avg3;	
	char c;
	
	lavg >> avg1 >>avg2 >> avg3>> active_proc >> c >> total_proc;
	return total_proc;
	

}

jackal::xmlrpc::float_type SystemMonitor::getLoadAverage() {
	std::ifstream lavg("/proc/loadavg");
	jackal::xmlrpc::float_type res;
	lavg >> res;
	lavg.close();
	return res;
}

jackal::xmlrpc::string_type SystemMonitor::getHostname() {
	std::ifstream hn("/etc/hostname");
	std::ifstream dn("/etc/dnsdomainname");
	jackal::xmlrpc::string_type host;
	jackal::xmlrpc::string_type domain;
	
	hn >> host;
	dn >> domain;
	
	return host + "." + domain;
}

