#ifndef TESTOBJECT_H_
#define TESTOBJECT_H_

#include "../jackal/xmlrpc.h"

class TestObject  : public jackal::xmlrpc::RequestHandler {
public:
	TestObject();
	virtual ~TestObject();
	
	inline jackal::xmlrpc::float_type getFloat() { return 0.42f; } ; 
	inline jackal::xmlrpc::string_type getString() { return "Hello world"; }; 
	inline jackal::xmlrpc::int_type getInt() { return 2; };
	
	JACKAL_BEGIN_MAPPING
		JACKAL_MAP0("getFloat", getFloat);
		JACKAL_MAP0("getString", getString);
		JACKAL_MAP0("getInt", getInt);
		JACKAL_MAP_PARENT(jackal::xmlrpc::RequestHandler);
	JACKAL_END_MAPPING
};

#endif /*TESTOBJECT_H_*/
